import { GameRecordCard, SpiralAbyss, GenshinUser, RealTimeNotes, Charcters, TravelerDiary, DailyRewards, Activities, RedeemCode } from "../index";
import { ClientCookieManager } from "./clientCookieManager";
import { Language } from "../constants/lang";
interface ClientOptions {
    language?: Language | Language.EnglishUS;
    cookieManager?: ClientCookieManager;
    cache?: boolean;
    debug?: boolean;
    cacheOptions?: {
        maxAge?: number;
    };
}
export declare class Client {
    private cookieManager;
    dailyReward?: DailyRewards;
    gameRecordCard?: GameRecordCard;
    sprialAbyss?: SpiralAbyss;
    genshinActivity?: Activities;
    characters?: Charcters;
    genshinUser?: GenshinUser;
    realTimeNotes?: RealTimeNotes;
    travelDiary?: TravelerDiary;
    redeemCode?: RedeemCode;
    private options;
    private logined;
    /**
     * @param {ClientOptions} options - The options to use.
     */
    constructor(options?: ClientOptions);
    login(ltuid: string, ltoken: string): void;
    addCookies(cookies: {
        ltuid: string;
        ltoken: string;
    }[]): void;
}
export {};
