interface getCookie {
    ltuid: string;
    ltoken: string;
    key: number;
    cookie: string;
}
export declare class ClientCookieManager {
    private cookie;
    constructor();
    /**
     * @returns {number} - The amount of cookies.
     */
    get size(): number;
    setCookie(ltuid: string, ltoken: string): void;
    /**
     * @description Get the ltoken and ltuid for request.
     * @returns {getCookie} - The ltoken and ltuid.
     */
    get(): getCookie;
    /**
     * @param key - The key to remove.
     */
    delete(key: number): void;
    clear(): void;
    getAll(): getCookie[];
    get_Cookie_from_browser(customProfile: string): Promise<any>;
}
export {};
