import { ClientCache } from "../client/clientCache";
import type { ClientCookieManager } from "../client/clientCookieManager";
import { Language } from "../constants/lang";
import type { SpiralAbyssFetchOptions } from "./genshinAbyss";
export interface Options<T> {
    cache?: boolean;
    cacheOptions?: {
        maxAge?: number;
    };
    defaultOptions?: fetchOptions & T;
    cookieManager?: ClientCookieManager;
}
export interface fetchOptions {
    cookie: string;
    language: Language;
}
export declare class BaseRoute {
    readonly cache: ClientCache<unknown> | null;
    readonly defaultOptions?: fetchOptions;
    private cookieManager?;
    constructor(options?: Options<fetchOptions>);
    getFetchOptions(options?: fetchOptions | SpiralAbyssFetchOptions): {
        cookie: string | undefined;
        language: Language;
        previous: boolean | undefined;
    } | {
        cookie: string | undefined;
        language: Language;
        previous?: undefined;
    };
}
