"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseRoute = void 0;
const clientCache_1 = require("../client/clientCache");
require("../constants/lang");
class BaseRoute {
    constructor(options) {
        Object.defineProperty(this, "cache", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "defaultOptions", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "cookieManager", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.cache = options?.cache
            ? new clientCache_1.ClientCache({ maxAge: options.cacheOptions?.maxAge })
            : null;
        this.defaultOptions = options?.defaultOptions;
        this.cookieManager = options?.cookieManager;
    }
    getFetchOptions(options) {
        const cookie = options?.cookie ||
            this.cookieManager?.get().cookie ||
            this.defaultOptions?.cookie;
        const language = options?.language || this.defaultOptions?.language || "en-us" /* Language.EnglishUS */;
        if (options && "previous" in options) {
            return {
                cookie,
                language,
                previous: options.previous,
            };
        }
        return {
            cookie,
            language,
        };
    }
}
exports.BaseRoute = BaseRoute;
