import type { DiaryData } from "../interface";
import { BaseRoute, fetchOptions } from "./base";
import type { ClientCache } from "../client/clientCache";
export declare type getMonthDiaryOptions = fetchOptions & {
    month: number;
};
export declare class TravelerDiary extends BaseRoute {
    cache: ClientCache<DiaryData> | null;
    /**
     * @param {string} uid Genshin Impact game uid.
     */
    fetch(uid: string, options: fetchOptions): Promise<DiaryData>;
    fetchMonth(uid: string, options: getMonthDiaryOptions): Promise<DiaryData>;
}
