"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const md5_1 = tslib_1.__importDefault(require("md5"));
const constants_1 = require("../constants/constants");
/**
 *
 * @Description generate dynamic secret
 * @returns {string}
 *
 */
const generate_dynamic_secret = () => {
    const date = new Date();
    const t = Math.floor(date.getTime() / 1000);
    let r = "";
    const possible = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
    for (let i = 0; i < 6; i++) {
        r += possible.charAt(Math.floor(Math.random() * possible.length));
    }
    const h = (0, md5_1.default)(`salt=${constants_1.SALT}&t=${t}&r=${r}`, { encoding: "string" });
    return `${t},${r},${h}`;
};
exports.default = generate_dynamic_secret;
