/// <reference types="node" />
import { Language } from "../constants/lang";
import type { IncomingHttpHeaders } from "http2";
declare type option = {
    route?: string;
    withUA?: boolean;
    withDS?: boolean;
};
interface Response {
    retcode: number;
    message: string;
    data: any;
}
/**
 * @description Creates a new instance for the request
 */
declare class HTTPRequest {
    private baseURL;
    private withUA;
    private withDS;
    private language;
    constructor(option?: option);
    _debug(message: string): void;
    get(url: string, headers?: IncomingHttpHeaders, params?: any): Promise<Response>;
    post(url: string, headers?: IncomingHttpHeaders, data?: any, params?: any): Promise<Response>;
    setLanguage(language: Language): void;
}
export { HTTPRequest as request };
